# Enum Class VulkanFormat

java.lang.Object
java.lang.Enum<VulkanFormat>
com.io7m.jcoronado.api.VulkanFormat

All Implemented Interfaces:
  `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanFormat>`, `Constable`

public enum VulkanFormat extends Enum<VulkanFormat> implements VulkanEnumIntegerType
Note: This enum is not hand-written: See formats.sh

See Also:
  - "VkFormat"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_FORMAT_A1R5G5B5_UNORM_PACK16`
  A four-component, 16-bit packed unsigned normalized format that has a 1-bit A component in bit 15, a 5-bit R component in bits 10..14, a 5-bit G component in bits 5..9, and a 5-bit B component in bits 0..4.
  `VK_FORMAT_A2B10G10R10_SINT_PACK32`
  A four-component, 32-bit packed signed integer format that has a 2-bit A component in bits 30..31, a 10-bit B component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit R component in bits 0..9.
  `VK_FORMAT_A2B10G10R10_SNORM_PACK32`
  A four-component, 32-bit packed signed normalized format that has a 2-bit A component in bits 30..31, a 10-bit B component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit R component in bits 0..9.
  `VK_FORMAT_A2B10G10R10_SSCALED_PACK32`
  A four-component, 32-bit packed signed scaled integer format that has a 2-bit A component in bits 30..31, a 10-bit B component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit R component in bits 0..9.
  `VK_FORMAT_A2B10G10R10_UINT_PACK32`
  A four-component, 32-bit packed unsigned integer format that has a 2-bit A component in bits 30..31, a 10-bit B component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit R component in bits 0..9.
  `VK_FORMAT_A2B10G10R10_UNORM_PACK32`
  A four-component, 32-bit packed unsigned normalized format that has a 2-bit A component in bits 30..31, a 10-bit B component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit R component in bits 0..9.
  `VK_FORMAT_A2B10G10R10_USCALED_PACK32`
  A four-component, 32-bit packed unsigned scaled integer format that has a 2-bit A component in bits 30..31, a 10-bit B component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit R component in bits 0..9.
  `VK_FORMAT_A2R10G10B10_SINT_PACK32`
  A four-component, 32-bit packed signed integer format that has a 2-bit A component in bits 30..31, a 10-bit R component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit B component in bits 0..9.
  `VK_FORMAT_A2R10G10B10_SNORM_PACK32`
  A four-component, 32-bit packed signed normalized format that has a 2-bit A component in bits 30..31, a 10-bit R component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit B component in bits 0..9.
  `VK_FORMAT_A2R10G10B10_SSCALED_PACK32`
  A four-component, 32-bit packed signed scaled integer format that has a 2-bit A component in bits 30..31, a 10-bit R component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit B component in bits 0..9.
  `VK_FORMAT_A2R10G10B10_UINT_PACK32`
  A four-component, 32-bit packed unsigned integer format that has a 2-bit A component in bits 30..31, a 10-bit R component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit B component in bits 0..9.
  `VK_FORMAT_A2R10G10B10_UNORM_PACK32`
  A four-component, 32-bit packed unsigned normalized format that has a 2-bit A component in bits 30..31, a 10-bit R component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit B component in bits 0..9.
  `VK_FORMAT_A2R10G10B10_USCALED_PACK32`
  A four-component, 32-bit packed unsigned scaled integer format that has a 2-bit A component in bits 30..31, a 10-bit R component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit B component in bits 0..9.
  `VK_FORMAT_A8B8G8R8_SINT_PACK32`
  A four-component, 32-bit packed signed integer format that has an 8-bit A component in bits 24..31, an 8-bit B component in bits 16..23, an 8-bit G component in bits 8..15, and an 8-bit R component in bits 0..7.
  `VK_FORMAT_A8B8G8R8_SNORM_PACK32`
  A four-component, 32-bit packed signed normalized format that has an 8-bit A component in bits 24..31, an 8-bit B component in bits 16..23, an 8-bit G component in bits 8..15, and an 8-bit R component in bits 0..7.
  `VK_FORMAT_A8B8G8R8_SRGB_PACK32`
  A four-component, 32-bit packed unsigned normalized format that has an 8-bit A component in bits 24..31, an 8-bit B component stored with sRGB nonlinear encoding in bits 16..23, an 8-bit G component stored with sRGB nonlinear encoding in bits 8..15, and an 8-bit R component stored with sRGB nonlinear encoding in bits 0..7.
  `VK_FORMAT_A8B8G8R8_SSCALED_PACK32`
  A four-component, 32-bit packed signed scaled integer format that has an 8-bit A component in bits 24..31, an 8-bit B component in bits 16..23, an 8-bit G component in bits 8..15, and an 8-bit R component in bits 0..7.
  `VK_FORMAT_A8B8G8R8_UINT_PACK32`
  A four-component, 32-bit packed unsigned integer format that has an 8-bit A component in bits 24..31, an 8-bit B component in bits 16..23, an 8-bit G component in bits 8..15, and an 8-bit R component in bits 0..7.
  `VK_FORMAT_A8B8G8R8_UNORM_PACK32`
  A four-component, 32-bit packed unsigned normalized format that has an 8-bit A component in bits 24..31, an 8-bit B component in bits 16..23, an 8-bit G component in bits 8..15, and an 8-bit R component in bits 0..7.
  `VK_FORMAT_A8B8G8R8_USCALED_PACK32`
  A four-component, 32-bit packed unsigned scaled integer format that has an 8-bit A component in bits 24..31, an 8-bit B component in bits 16..23, an 8-bit G component in bits 8..15, and an 8-bit R component in bits 0..7.
  `VK_FORMAT_ASTC_10x10_SRGB_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 10x10 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.
  `VK_FORMAT_ASTC_10x10_UNORM_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 10x10 rectangle of unsigned normalized RGBA texel data.
  `VK_FORMAT_ASTC_10x5_SRGB_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 10x5 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.
  `VK_FORMAT_ASTC_10x5_UNORM_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 10x5 rectangle of unsigned normalized RGBA texel data.
  `VK_FORMAT_ASTC_10x6_SRGB_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 10x6 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.
  `VK_FORMAT_ASTC_10x6_UNORM_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 10x6 rectangle of unsigned normalized RGBA texel data.
  `VK_FORMAT_ASTC_10x8_SRGB_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 10x8 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.
  `VK_FORMAT_ASTC_10x8_UNORM_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 10x8 rectangle of unsigned normalized RGBA texel data.
  `VK_FORMAT_ASTC_12x10_SRGB_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 12x10 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.
  `VK_FORMAT_ASTC_12x10_UNORM_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 12x10 rectangle of unsigned normalized RGBA texel data.
  `VK_FORMAT_ASTC_12x12_SRGB_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 12x12 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.
  `VK_FORMAT_ASTC_12x12_UNORM_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 12x12 rectangle of unsigned normalized RGBA texel data.
  `VK_FORMAT_ASTC_4x4_SRGB_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.
  `VK_FORMAT_ASTC_4x4_UNORM_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGBA texel data.
  `VK_FORMAT_ASTC_5x4_SRGB_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 5x4 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.
  `VK_FORMAT_ASTC_5x4_UNORM_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 5x4 rectangle of unsigned normalized RGBA texel data.
  `VK_FORMAT_ASTC_5x5_SRGB_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 5x5 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.
  `VK_FORMAT_ASTC_5x5_UNORM_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 5x5 rectangle of unsigned normalized RGBA texel data.
  `VK_FORMAT_ASTC_6x5_SRGB_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 6x5 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.
  `VK_FORMAT_ASTC_6x5_UNORM_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 6x5 rectangle of unsigned normalized RGBA texel data.
  `VK_FORMAT_ASTC_6x6_SRGB_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 6x6 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.
  `VK_FORMAT_ASTC_6x6_UNORM_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 6x6 rectangle of unsigned normalized RGBA texel data.
  `VK_FORMAT_ASTC_8x5_SRGB_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 8x5 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.
  `VK_FORMAT_ASTC_8x5_UNORM_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 8x5 rectangle of unsigned normalized RGBA texel data.
  `VK_FORMAT_ASTC_8x6_SRGB_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 8x6 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.
  `VK_FORMAT_ASTC_8x6_UNORM_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 8x6 rectangle of unsigned normalized RGBA texel data.
  `VK_FORMAT_ASTC_8x8_SRGB_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 8x8 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.
  `VK_FORMAT_ASTC_8x8_UNORM_BLOCK`
  A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 8x8 rectangle of unsigned normalized RGBA texel data.
  `VK_FORMAT_B10G11R11_UFLOAT_PACK32`
  A three-component, 32-bit packed unsigned floating-point format that has a 10-bit B component in bits 22..31, an 11-bit G component in bits 11..21, an 11-bit R component in bits 0..10.
  `VK_FORMAT_B4G4R4A4_UNORM_PACK16`
  A four-component, 16-bit packed unsigned normalized format that has a 4-bit B component in bits 12..15, a 4-bit G component in bits 8..11, a 4-bit R component in bits 4..7, and a 4-bit A component in bits 0..3.
  `VK_FORMAT_B5G5R5A1_UNORM_PACK16`
  A four-component, 16-bit packed unsigned normalized format that has a 5-bit B component in bits 11..15, a 5-bit G component in bits 6..10, a 5-bit R component in bits 1..5, and a 1-bit A component in bit 0.
  `VK_FORMAT_B5G6R5_UNORM_PACK16`
  A three-component, 16-bit packed unsigned normalized format that has a 5-bit B component in bits 11..15, a 6-bit G component in bits 5..10, and a 5-bit R component in bits 0..4.
  `VK_FORMAT_B8G8R8_SINT`
  A three-component, 24-bit signed integer format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, and an 8-bit R component in byte 2.
  `VK_FORMAT_B8G8R8_SNORM`
  A three-component, 24-bit signed normalized format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, and an 8-bit R component in byte 2.
  `VK_FORMAT_B8G8R8_SRGB`
  A three-component, 24-bit unsigned normalized format that has an 8-bit B component stored with sRGB nonlinear encoding in byte 0, an 8-bit G component stored with sRGB nonlinear encoding in byte 1, and an 8-bit R component stored with sRGB nonlinear encoding in byte 2.
  `VK_FORMAT_B8G8R8_SSCALED`
  A three-component, 24-bit signed scaled format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, and an 8-bit R component in byte 2.
  `VK_FORMAT_B8G8R8_UINT`
  A three-component, 24-bit unsigned integer format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, and an 8-bit R component in byte 2.
  `VK_FORMAT_B8G8R8_UNORM`
  A three-component, 24-bit unsigned normalized format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, and an 8-bit R component in byte 2.
  `VK_FORMAT_B8G8R8_USCALED`
  A three-component, 24-bit unsigned scaled format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, and an 8-bit R component in byte 2.
  `VK_FORMAT_B8G8R8A8_SINT`
  A four-component, 32-bit signed integer format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, an 8-bit R component in byte 2, and an 8-bit A component in byte 3.
  `VK_FORMAT_B8G8R8A8_SNORM`
  A four-component, 32-bit signed normalized format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, an 8-bit R component in byte 2, and an 8-bit A component in byte 3.
  `VK_FORMAT_B8G8R8A8_SRGB`
  A four-component, 32-bit unsigned normalized format that has an 8-bit B component stored with sRGB nonlinear encoding in byte 0, an 8-bit G component stored with sRGB nonlinear encoding in byte 1, an 8-bit R component stored with sRGB nonlinear encoding in byte 2, and an 8-bit A component in byte 3.
  `VK_FORMAT_B8G8R8A8_SSCALED`
  A four-component, 32-bit signed scaled format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, an 8-bit R component in byte 2, and an 8-bit A component in byte 3.
  `VK_FORMAT_B8G8R8A8_UINT`
  A four-component, 32-bit unsigned integer format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, an 8-bit R component in byte 2, and an 8-bit A component in byte 3.
  `VK_FORMAT_B8G8R8A8_UNORM`
  A four-component, 32-bit unsigned normalized format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, an 8-bit R component in byte 2, and an 8-bit A component in byte 3.
  `VK_FORMAT_B8G8R8A8_USCALED`
  A four-component, 32-bit unsigned scaled format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, an 8-bit R component in byte 2, and an 8-bit A component in byte 3.
  `VK_FORMAT_BC1_RGB_SRGB_BLOCK`
  A three-component, block-compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGB texel data with sRGB nonlinear encoding.
  `VK_FORMAT_BC1_RGB_UNORM_BLOCK`
  A three-component, block-compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGB texel data.
  `VK_FORMAT_BC1_RGBA_SRGB_BLOCK`
  A four-component, block-compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGB texel data with sRGB nonlinear encoding, and provides 1 bit of alpha.
  `VK_FORMAT_BC1_RGBA_UNORM_BLOCK`
  A four-component, block-compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGB texel data, and provides 1 bit of alpha.
  `VK_FORMAT_BC2_SRGB_BLOCK`
  A four-component, block-compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGBA texel data with the first 64 bits encoding alpha values followed by 64 bits encoding RGB values with sRGB nonlinear encoding.
  `VK_FORMAT_BC2_UNORM_BLOCK`
  A four-component, block-compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGBA texel data with the first 64 bits encoding alpha values followed by 64 bits encoding RGB values.
  `VK_FORMAT_BC3_SRGB_BLOCK`
  A four-component, block-compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGBA texel data with the first 64 bits encoding alpha values followed by 64 bits encoding RGB values with sRGB nonlinear encoding.
  `VK_FORMAT_BC3_UNORM_BLOCK`
  A four-component, block-compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGBA texel data with the first 64 bits encoding alpha values followed by 64 bits encoding RGB values.
  `VK_FORMAT_BC4_SNORM_BLOCK`
  A one-component, block-compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of signed normalized red texel data.
  `VK_FORMAT_BC4_UNORM_BLOCK`
  A one-component, block-compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized red texel data.
  `VK_FORMAT_BC5_SNORM_BLOCK`
  A two-component, block-compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of signed normalized RG texel data with the first 64 bits encoding red values followed by 64 bits encoding green values.
  `VK_FORMAT_BC5_UNORM_BLOCK`
  A two-component, block-compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RG texel data with the first 64 bits encoding red values followed by 64 bits encoding green values.
  `VK_FORMAT_BC6H_SFLOAT_BLOCK`
  A three-component, block-compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of signed floating-point RGB texel data.
  `VK_FORMAT_BC6H_UFLOAT_BLOCK`
  A three-component, block-compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned floating-point RGB texel data.
  `VK_FORMAT_BC7_SRGB_BLOCK`
  A four-component, block-compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.
  `VK_FORMAT_BC7_UNORM_BLOCK`
  A four-component, block-compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGBA texel data.
  `VK_FORMAT_D16_UNORM`
  A one-component, 16-bit unsigned normalized format that has a single 16-bit depth component.
  `VK_FORMAT_D16_UNORM_S8_UINT`
  A two-component, 24-bit format that has 16 unsigned normalized bits in the depth component and 8 unsigned integer bits in the stencil component.
  `VK_FORMAT_D24_UNORM_S8_UINT`
  A two-component, 32-bit packed format that has 8 unsigned integer bits in the stencil component, and 24 unsigned normalized bits in the depth component.
  `VK_FORMAT_D32_SFLOAT`
  A one-component, 32-bit signed floating-point format that has 32-bits in the depth component.
  `VK_FORMAT_D32_SFLOAT_S8_UINT`
  A two-component format that has 32 signed float bits in the depth component and 8 unsigned integer bits in the stencil component.
  `VK_FORMAT_E5B9G9R9_UFLOAT_PACK32`
  A three-component, 32-bit packed unsigned floating-point format that has a 5-bit shared exponent in bits 27..31, a 9-bit B component mantissa in bits 18..26, a 9-bit G component mantissa in bits 9..17, and a 9-bit R component mantissa in bits 0..8.
  `VK_FORMAT_EAC_R11_SNORM_BLOCK`
  A one-component, ETC2 compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of signed normalized red texel data.
  `VK_FORMAT_EAC_R11_UNORM_BLOCK`
  A one-component, ETC2 compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized red texel data.
  `VK_FORMAT_EAC_R11G11_SNORM_BLOCK`
  A two-component, ETC2 compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of signed normalized RG texel data with the first 64 bits encoding red values followed by 64 bits encoding green values.
  `VK_FORMAT_EAC_R11G11_UNORM_BLOCK`
  A two-component, ETC2 compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RG texel data with the first 64 bits encoding red values followed by 64 bits encoding green values.
  `VK_FORMAT_ETC2_R8G8B8_SRGB_BLOCK`
  A three-component, ETC2 compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGB texel data with sRGB nonlinear encoding.
  `VK_FORMAT_ETC2_R8G8B8_UNORM_BLOCK`
  A three-component, ETC2 compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGB texel data.
  `VK_FORMAT_ETC2_R8G8B8A1_SRGB_BLOCK`
  A four-component, ETC2 compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGB texel data with sRGB nonlinear encoding, and provides 1 bit of alpha.
  `VK_FORMAT_ETC2_R8G8B8A1_UNORM_BLOCK`
  A four-component, ETC2 compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGB texel data, and provides 1 bit of alpha.
  `VK_FORMAT_ETC2_R8G8B8A8_SRGB_BLOCK`
  A four-component, ETC2 compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGBA texel data with the first 64 bits encoding alpha values followed by 64 bits encoding RGB values with sRGB nonlinear encoding applied.
  `VK_FORMAT_ETC2_R8G8B8A8_UNORM_BLOCK`
  A four-component, ETC2 compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGBA texel data with the first 64 bits encoding alpha values followed by 64 bits encoding RGB values.
  `VK_FORMAT_R16_SFLOAT`
  A one-component, 16-bit signed floating-point format that has a single 16-bit R component.
  `VK_FORMAT_R16_SINT`
  A one-component, 16-bit signed integer format that has a single 16-bit R component.
  `VK_FORMAT_R16_SNORM`
  A one-component, 16-bit signed normalized format that has a single 16-bit R component.
  `VK_FORMAT_R16_SSCALED`
  A one-component, 16-bit signed scaled integer format that has a single 16-bit R component.
  `VK_FORMAT_R16_UINT`
  A one-component, 16-bit unsigned integer format that has a single 16-bit R component.
  `VK_FORMAT_R16_UNORM`
  A one-component, 16-bit unsigned normalized format that has a single 16-bit R component.
  `VK_FORMAT_R16_USCALED`
  A one-component, 16-bit unsigned scaled integer format that has a single 16-bit R component.
  `VK_FORMAT_R16G16_SFLOAT`
  A two-component, 32-bit signed floating-point format that has a 16-bit R component in bytes 0..1, and a 16-bit G component in bytes 2..3.
  `VK_FORMAT_R16G16_SINT`
  A two-component, 32-bit signed integer format that has a 16-bit R component in bytes 0..1, and a 16-bit G component in bytes 2..3.
  `VK_FORMAT_R16G16_SNORM`
  A two-component, 32-bit signed normalized format that has a 16-bit R component in bytes 0..1, and a 16-bit G component in bytes 2..3.
  `VK_FORMAT_R16G16_SSCALED`
  A two-component, 32-bit signed scaled integer format that has a 16-bit R component in bytes 0..1, and a 16-bit G component in bytes 2..3.
  `VK_FORMAT_R16G16_UINT`
  A two-component, 32-bit unsigned integer format that has a 16-bit R component in bytes 0..1, and a 16-bit G component in bytes 2..3.
  `VK_FORMAT_R16G16_UNORM`
  A two-component, 32-bit unsigned normalized format that has a 16-bit R component in bytes 0..1, and a 16-bit G component in bytes 2..3.
  `VK_FORMAT_R16G16_USCALED`
  A two-component, 32-bit unsigned scaled integer format that has a 16-bit R component in bytes 0..1, and a 16-bit G component in bytes 2..3.
  `VK_FORMAT_R16G16B16_SFLOAT`
  A three-component, 48-bit signed floating-point format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, and a 16-bit B component in bytes 4..5.
  `VK_FORMAT_R16G16B16_SINT`
  A three-component, 48-bit signed integer format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, and a 16-bit B component in bytes 4..5.
  `VK_FORMAT_R16G16B16_SNORM`
  A three-component, 48-bit signed normalized format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, and a 16-bit B component in bytes 4..5.
  `VK_FORMAT_R16G16B16_SSCALED`
  A three-component, 48-bit signed scaled integer format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, and a 16-bit B component in bytes 4..5.
  `VK_FORMAT_R16G16B16_UINT`
  A three-component, 48-bit unsigned integer format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, and a 16-bit B component in bytes 4..5.
  `VK_FORMAT_R16G16B16_UNORM`
  A three-component, 48-bit unsigned normalized format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, and a 16-bit B component in bytes 4..5.
  `VK_FORMAT_R16G16B16_USCALED`
  A three-component, 48-bit unsigned scaled integer format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, and a 16-bit B component in bytes 4..5.
  `VK_FORMAT_R16G16B16A16_SFLOAT`
  A four-component, 64-bit signed floating-point format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, a 16-bit B component in bytes 4..5, and a 16-bit A component in bytes 6..7.
  `VK_FORMAT_R16G16B16A16_SINT`
  A four-component, 64-bit signed integer format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, a 16-bit B component in bytes 4..5, and a 16-bit A component in bytes 6..7.
  `VK_FORMAT_R16G16B16A16_SNORM`
  A four-component, 64-bit signed normalized format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, a 16-bit B component in bytes 4..5, and a 16-bit A component in bytes 6..7.
  `VK_FORMAT_R16G16B16A16_SSCALED`
  A four-component, 64-bit signed scaled integer format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, a 16-bit B component in bytes 4..5, and a 16-bit A component in bytes 6..7.
  `VK_FORMAT_R16G16B16A16_UINT`
  A four-component, 64-bit unsigned integer format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, a 16-bit B component in bytes 4..5, and a 16-bit A component in bytes 6..7.
  `VK_FORMAT_R16G16B16A16_UNORM`
  A four-component, 64-bit unsigned normalized format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, a 16-bit B component in bytes 4..5, and a 16-bit A component in bytes 6..7.
  `VK_FORMAT_R16G16B16A16_USCALED`
  A four-component, 64-bit unsigned scaled integer format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, a 16-bit B component in bytes 4..5, and a 16-bit A component in bytes 6..7.
  `VK_FORMAT_R32_SFLOAT`
  A one-component, 32-bit signed floating-point format that has a single 32-bit R component.
  `VK_FORMAT_R32_SINT`
  A one-component, 32-bit signed integer format that has a single 32-bit R component.
  `VK_FORMAT_R32_UINT`
  A one-component, 32-bit unsigned integer format that has a single 32-bit R component.
  `VK_FORMAT_R32G32_SFLOAT`
  A two-component, 64-bit signed floating-point format that has a 32-bit R component in bytes 0..3, and a 32-bit G component in bytes 4..7.
  `VK_FORMAT_R32G32_SINT`
  A two-component, 64-bit signed integer format that has a 32-bit R component in bytes 0..3, and a 32-bit G component in bytes 4..7.
  `VK_FORMAT_R32G32_UINT`
  A two-component, 64-bit unsigned integer format that has a 32-bit R component in bytes 0..3, and a 32-bit G component in bytes 4..7.
  `VK_FORMAT_R32G32B32_SFLOAT`
  A three-component, 96-bit signed floating-point format that has a 32-bit R component in bytes 0..3, a 32-bit G component in bytes 4..7, and a 32-bit B component in bytes 8..11.
  `VK_FORMAT_R32G32B32_SINT`
  A three-component, 96-bit signed integer format that has a 32-bit R component in bytes 0..3, a 32-bit G component in bytes 4..7, and a 32-bit B component in bytes 8..11.
  `VK_FORMAT_R32G32B32_UINT`
  A three-component, 96-bit unsigned integer format that has a 32-bit R component in bytes 0..3, a 32-bit G component in bytes 4..7, and a 32-bit B component in bytes 8..11.
  `VK_FORMAT_R32G32B32A32_SFLOAT`
  A four-component, 128-bit signed floating-point format that has a 32-bit R component in bytes 0..3, a 32-bit G component in bytes 4..7, a 32-bit B component in bytes 8..11, and a 32-bit A component in bytes 12..15.
  `VK_FORMAT_R32G32B32A32_SINT`
  A four-component, 128-bit signed integer format that has a 32-bit R component in bytes 0..3, a 32-bit G component in bytes 4..7, a 32-bit B component in bytes 8..11, and a 32-bit A component in bytes 12..15.
  `VK_FORMAT_R32G32B32A32_UINT`
  A four-component, 128-bit unsigned integer format that has a 32-bit R component in bytes 0..3, a 32-bit G component in bytes 4..7, a 32-bit B component in bytes 8..11, and a 32-bit A component in bytes 12..15.
  `VK_FORMAT_R4G4_UNORM_PACK8`
  A two-component, 8-bit packed unsigned normalized format that has a 4-bit R component in bits 4..7, and a 4-bit G component in bits 0..3.
  `VK_FORMAT_R4G4B4A4_UNORM_PACK16`
  A four-component, 16-bit packed unsigned normalized format that has a 4-bit R component in bits 12..15, a 4-bit G component in bits 8..11, a 4-bit B component in bits 4..7, and a 4-bit A component in bits 0..3.
  `VK_FORMAT_R5G5B5A1_UNORM_PACK16`
  A four-component, 16-bit packed unsigned normalized format that has a 5-bit R component in bits 11..15, a 5-bit G component in bits 6..10, a 5-bit B component in bits 1..5, and a 1-bit A component in bit 0.
  `VK_FORMAT_R5G6B5_UNORM_PACK16`
  A three-component, 16-bit packed unsigned normalized format that has a 5-bit R component in bits 11..15, a 6-bit G component in bits 5..10, and a 5-bit B component in bits 0..4.
  `VK_FORMAT_R64_SFLOAT`
  A one-component, 64-bit signed floating-point format that has a single 64-bit R component.
  `VK_FORMAT_R64_SINT`
  A one-component, 64-bit signed integer format that has a single 64-bit R component.
  `VK_FORMAT_R64_UINT`
  A one-component, 64-bit unsigned integer format that has a single 64-bit R component.
  `VK_FORMAT_R64G64_SFLOAT`
  A two-component, 128-bit signed floating-point format that has a 64-bit R component in bytes 0..7, and a 64-bit G component in bytes 8..15.
  `VK_FORMAT_R64G64_SINT`
  A two-component, 128-bit signed integer format that has a 64-bit R component in bytes 0..7, and a 64-bit G component in bytes 8..15.
  `VK_FORMAT_R64G64_UINT`
  A two-component, 128-bit unsigned integer format that has a 64-bit R component in bytes 0..7, and a 64-bit G component in bytes 8..15.
  `VK_FORMAT_R64G64B64_SFLOAT`
  A three-component, 192-bit signed floating-point format that has a 64-bit R component in bytes 0..7, a 64-bit G component in bytes 8..15, and a 64-bit B component in bytes 16..23.
  `VK_FORMAT_R64G64B64_SINT`
  A three-component, 192-bit signed integer format that has a 64-bit R component in bytes 0..7, a 64-bit G component in bytes 8..15, and a 64-bit B component in bytes 16..23.
  `VK_FORMAT_R64G64B64_UINT`
  A three-component, 192-bit unsigned integer format that has a 64-bit R component in bytes 0..7, a 64-bit G component in bytes 8..15, and a 64-bit B component in bytes 16..23.
  `VK_FORMAT_R64G64B64A64_SFLOAT`
  A four-component, 256-bit signed floating-point format that has a 64-bit R component in bytes 0..7, a 64-bit G component in bytes 8..15, a 64-bit B component in bytes 16..23, and a 64-bit A component in bytes 24..31.
  `VK_FORMAT_R64G64B64A64_SINT`
  A four-component, 256-bit signed integer format that has a 64-bit R component in bytes 0..7, a 64-bit G component in bytes 8..15, a 64-bit B component in bytes 16..23, and a 64-bit A component in bytes 24..31.
  `VK_FORMAT_R64G64B64A64_UINT`
  A four-component, 256-bit unsigned integer format that has a 64-bit R component in bytes 0..7, a 64-bit G component in bytes 8..15, a 64-bit B component in bytes 16..23, and a 64-bit A component in bytes 24..31.
  `VK_FORMAT_R8_SINT`
  A one-component, 8-bit signed integer format that has a single 8-bit R component.
  `VK_FORMAT_R8_SNORM`
  A one-component, 8-bit signed normalized format that has a single 8-bit R component.
  `VK_FORMAT_R8_SRGB`
  A one-component, 8-bit unsigned normalized format that has a single 8-bit R component stored with sRGB nonlinear encoding.
  `VK_FORMAT_R8_SSCALED`
  A one-component, 8-bit signed scaled integer format that has a single 8-bit R component.
  `VK_FORMAT_R8_UINT`
  A one-component, 8-bit unsigned integer format that has a single 8-bit R component.
  `VK_FORMAT_R8_UNORM`
  A one-component, 8-bit unsigned normalized format that has a single 8-bit R component.
  `VK_FORMAT_R8_USCALED`
  A one-component, 8-bit unsigned scaled integer format that has a single 8-bit R component.
  `VK_FORMAT_R8G8_SINT`
  A two-component, 16-bit signed integer format that has an 8-bit R component in byte 0, and an 8-bit G component in byte 1.
  `VK_FORMAT_R8G8_SNORM`
  A two-component, 16-bit signed normalized format that has an 8-bit R component in byte 0, and an 8-bit G component in byte 1.
  `VK_FORMAT_R8G8_SRGB`
  A two-component, 16-bit unsigned normalized format that has an 8-bit R component stored with sRGB nonlinear encoding in byte 0, and an 8-bit G component stored with sRGB nonlinear encoding in byte 1.
  `VK_FORMAT_R8G8_SSCALED`
  A two-component, 16-bit signed scaled integer format that has an 8-bit R component in byte 0, and an 8-bit G component in byte 1.
  `VK_FORMAT_R8G8_UINT`
  A two-component, 16-bit unsigned integer format that has an 8-bit R component in byte 0, and an 8-bit G component in byte 1.
  `VK_FORMAT_R8G8_UNORM`
  A two-component, 16-bit unsigned normalized format that has an 8-bit R component in byte 0, and an 8-bit G component in byte 1.
  `VK_FORMAT_R8G8_USCALED`
  A two-component, 16-bit unsigned scaled integer format that has an 8-bit R component in byte 0, and an 8-bit G component in byte 1.
  `VK_FORMAT_R8G8B8_SINT`
  A three-component, 24-bit signed integer format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, and an 8-bit B component in byte 2.
  `VK_FORMAT_R8G8B8_SNORM`
  A three-component, 24-bit signed normalized format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, and an 8-bit B component in byte 2.
  `VK_FORMAT_R8G8B8_SRGB`
  A three-component, 24-bit unsigned normalized format that has an 8-bit R component stored with sRGB nonlinear encoding in byte 0, an 8-bit G component stored with sRGB nonlinear encoding in byte 1, and an 8-bit B component stored with sRGB nonlinear encoding in byte 2.
  `VK_FORMAT_R8G8B8_SSCALED`
  A three-component, 24-bit signed scaled format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, and an 8-bit B component in byte 2.
  `VK_FORMAT_R8G8B8_UINT`
  A three-component, 24-bit unsigned integer format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, and an 8-bit B component in byte 2.
  `VK_FORMAT_R8G8B8_UNORM`
  A three-component, 24-bit unsigned normalized format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, and an 8-bit B component in byte 2.
  `VK_FORMAT_R8G8B8_USCALED`
  A three-component, 24-bit unsigned scaled format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, and an 8-bit B component in byte 2.
  `VK_FORMAT_R8G8B8A8_SINT`
  A four-component, 32-bit signed integer format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, an 8-bit B component in byte 2, and an 8-bit A component in byte 3.
  `VK_FORMAT_R8G8B8A8_SNORM`
  A four-component, 32-bit signed normalized format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, an 8-bit B component in byte 2, and an 8-bit A component in byte 3.
  `VK_FORMAT_R8G8B8A8_SRGB`
  A four-component, 32-bit unsigned normalized format that has an 8-bit R component stored with sRGB nonlinear encoding in byte 0, an 8-bit G component stored with sRGB nonlinear encoding in byte 1, an 8-bit B component stored with sRGB nonlinear encoding in byte 2, and an 8-bit A component in byte 3.
  `VK_FORMAT_R8G8B8A8_SSCALED`
  A four-component, 32-bit signed scaled format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, an 8-bit B component in byte 2, and an 8-bit A component in byte 3.
  `VK_FORMAT_R8G8B8A8_UINT`
  A four-component, 32-bit unsigned integer format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, an 8-bit B component in byte 2, and an 8-bit A component in byte 3.
  `VK_FORMAT_R8G8B8A8_UNORM`
  A four-component, 32-bit unsigned normalized format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, an 8-bit B component in byte 2, and an 8-bit A component in byte 3.
  `VK_FORMAT_R8G8B8A8_USCALED`
  A four-component, 32-bit unsigned scaled format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, an 8-bit B component in byte 2, and an 8-bit A component in byte 3.
  `VK_FORMAT_S8_UINT`
  A one-component, 8-bit unsigned integer format that has 8-bits in the stencil component.
  `VK_FORMAT_UNDEFINED`
  The format is not specified.
  `VK_FORMAT_X8_D24_UNORM_PACK32`
  A two-component, 32-bit format that has 24 unsigned normalized bits in the depth component and, optionally, 8 bits that are unused.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Optional<VulkanFormatColorChannels>`
  `colorChannels()`
  `abstract VulkanFormatCompressed`
  `compressed()`
  `abstract VulkanFormatData`
  `data()`
  `static Optional<VulkanFormat>`
  `fromInteger(int v)`
  `abstract VulkanFormatInterpretation`
  `interpretation()`
  `abstract Set<VulkanFormatFeatureFlag>`
  `mandatoryFeatures()`
  Some formats in the Vulkan specification have a degree of mandatory support.
  `abstract VulkanFormatSpace`
  `space()`
  `abstract int`
  `texelSizeOctets()`
  `int`
  `value()`
  `static VulkanFormat`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_FORMAT_UNDEFINED

    public static final VulkanFormat VK_FORMAT_UNDEFINED
    The format is not specified.

  - ### VK_FORMAT_R4G4_UNORM_PACK8

    public static final VulkanFormat VK_FORMAT_R4G4_UNORM_PACK8
    A two-component, 8-bit packed unsigned normalized format that has a 4-bit R component in bits 4..7, and a 4-bit G component in bits 0..3.

  - ### VK_FORMAT_R4G4B4A4_UNORM_PACK16

    public static final VulkanFormat VK_FORMAT_R4G4B4A4_UNORM_PACK16
    A four-component, 16-bit packed unsigned normalized format that has a 4-bit R component in bits 12..15, a 4-bit G component in bits 8..11, a 4-bit B component in bits 4..7, and a 4-bit A component in bits 0..3.

  - ### VK_FORMAT_B4G4R4A4_UNORM_PACK16

    public static final VulkanFormat VK_FORMAT_B4G4R4A4_UNORM_PACK16
    A four-component, 16-bit packed unsigned normalized format that has a 4-bit B component in bits 12..15, a 4-bit G component in bits 8..11, a 4-bit R component in bits 4..7, and a 4-bit A component in bits 0..3.

  - ### VK_FORMAT_R5G6B5_UNORM_PACK16

    public static final VulkanFormat VK_FORMAT_R5G6B5_UNORM_PACK16
    A three-component, 16-bit packed unsigned normalized format that has a 5-bit R component in bits 11..15, a 6-bit G component in bits 5..10, and a 5-bit B component in bits 0..4.

  - ### VK_FORMAT_B5G6R5_UNORM_PACK16

    public static final VulkanFormat VK_FORMAT_B5G6R5_UNORM_PACK16
    A three-component, 16-bit packed unsigned normalized format that has a 5-bit B component in bits 11..15, a 6-bit G component in bits 5..10, and a 5-bit R component in bits 0..4.

  - ### VK_FORMAT_R5G5B5A1_UNORM_PACK16

    public static final VulkanFormat VK_FORMAT_R5G5B5A1_UNORM_PACK16
    A four-component, 16-bit packed unsigned normalized format that has a 5-bit R component in bits 11..15, a 5-bit G component in bits 6..10, a 5-bit B component in bits 1..5, and a 1-bit A component in bit 0.

  - ### VK_FORMAT_B5G5R5A1_UNORM_PACK16

    public static final VulkanFormat VK_FORMAT_B5G5R5A1_UNORM_PACK16
    A four-component, 16-bit packed unsigned normalized format that has a 5-bit B component in bits 11..15, a 5-bit G component in bits 6..10, a 5-bit R component in bits 1..5, and a 1-bit A component in bit 0.

  - ### VK_FORMAT_A1R5G5B5_UNORM_PACK16

    public static final VulkanFormat VK_FORMAT_A1R5G5B5_UNORM_PACK16
    A four-component, 16-bit packed unsigned normalized format that has a 1-bit A component in bit 15, a 5-bit R component in bits 10..14, a 5-bit G component in bits 5..9, and a 5-bit B component in bits 0..4.

  - ### VK_FORMAT_R8_UNORM

    public static final VulkanFormat VK_FORMAT_R8_UNORM
    A one-component, 8-bit unsigned normalized format that has a single 8-bit R component.

  - ### VK_FORMAT_R8_SNORM

    public static final VulkanFormat VK_FORMAT_R8_SNORM
    A one-component, 8-bit signed normalized format that has a single 8-bit R component.

  - ### VK_FORMAT_R8_USCALED

    public static final VulkanFormat VK_FORMAT_R8_USCALED
    A one-component, 8-bit unsigned scaled integer format that has a single 8-bit R component.

  - ### VK_FORMAT_R8_SSCALED

    public static final VulkanFormat VK_FORMAT_R8_SSCALED
    A one-component, 8-bit signed scaled integer format that has a single 8-bit R component.

  - ### VK_FORMAT_R8_UINT

    public static final VulkanFormat VK_FORMAT_R8_UINT
    A one-component, 8-bit unsigned integer format that has a single 8-bit R component.

  - ### VK_FORMAT_R8_SINT

    public static final VulkanFormat VK_FORMAT_R8_SINT
    A one-component, 8-bit signed integer format that has a single 8-bit R component.

  - ### VK_FORMAT_R8_SRGB

    public static final VulkanFormat VK_FORMAT_R8_SRGB
    A one-component, 8-bit unsigned normalized format that has a single 8-bit R component stored with sRGB nonlinear encoding.

  - ### VK_FORMAT_R8G8_UNORM

    public static final VulkanFormat VK_FORMAT_R8G8_UNORM
    A two-component, 16-bit unsigned normalized format that has an 8-bit R component in byte 0, and an 8-bit G component in byte 1.

  - ### VK_FORMAT_R8G8_SNORM

    public static final VulkanFormat VK_FORMAT_R8G8_SNORM
    A two-component, 16-bit signed normalized format that has an 8-bit R component in byte 0, and an 8-bit G component in byte 1.

  - ### VK_FORMAT_R8G8_USCALED

    public static final VulkanFormat VK_FORMAT_R8G8_USCALED
    A two-component, 16-bit unsigned scaled integer format that has an 8-bit R component in byte 0, and an 8-bit G component in byte 1.

  - ### VK_FORMAT_R8G8_SSCALED

    public static final VulkanFormat VK_FORMAT_R8G8_SSCALED
    A two-component, 16-bit signed scaled integer format that has an 8-bit R component in byte 0, and an 8-bit G component in byte 1.

  - ### VK_FORMAT_R8G8_UINT

    public static final VulkanFormat VK_FORMAT_R8G8_UINT
    A two-component, 16-bit unsigned integer format that has an 8-bit R component in byte 0, and an 8-bit G component in byte 1.

  - ### VK_FORMAT_R8G8_SINT

    public static final VulkanFormat VK_FORMAT_R8G8_SINT
    A two-component, 16-bit signed integer format that has an 8-bit R component in byte 0, and an 8-bit G component in byte 1.

  - ### VK_FORMAT_R8G8_SRGB

    public static final VulkanFormat VK_FORMAT_R8G8_SRGB
    A two-component, 16-bit unsigned normalized format that has an 8-bit R component stored with sRGB nonlinear encoding in byte 0, and an 8-bit G component stored with sRGB nonlinear encoding in byte 1.

  - ### VK_FORMAT_R8G8B8_UNORM

    public static final VulkanFormat VK_FORMAT_R8G8B8_UNORM
    A three-component, 24-bit unsigned normalized format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, and an 8-bit B component in byte 2.

  - ### VK_FORMAT_R8G8B8_SNORM

    public static final VulkanFormat VK_FORMAT_R8G8B8_SNORM
    A three-component, 24-bit signed normalized format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, and an 8-bit B component in byte 2.

  - ### VK_FORMAT_R8G8B8_USCALED

    public static final VulkanFormat VK_FORMAT_R8G8B8_USCALED
    A three-component, 24-bit unsigned scaled format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, and an 8-bit B component in byte 2.

  - ### VK_FORMAT_R8G8B8_SSCALED

    public static final VulkanFormat VK_FORMAT_R8G8B8_SSCALED
    A three-component, 24-bit signed scaled format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, and an 8-bit B component in byte 2.

  - ### VK_FORMAT_R8G8B8_UINT

    public static final VulkanFormat VK_FORMAT_R8G8B8_UINT
    A three-component, 24-bit unsigned integer format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, and an 8-bit B component in byte 2.

  - ### VK_FORMAT_R8G8B8_SINT

    public static final VulkanFormat VK_FORMAT_R8G8B8_SINT
    A three-component, 24-bit signed integer format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, and an 8-bit B component in byte 2.

  - ### VK_FORMAT_R8G8B8_SRGB

    public static final VulkanFormat VK_FORMAT_R8G8B8_SRGB
    A three-component, 24-bit unsigned normalized format that has an 8-bit R component stored with sRGB nonlinear encoding in byte 0, an 8-bit G component stored with sRGB nonlinear encoding in byte 1, and an 8-bit B component stored with sRGB nonlinear encoding in byte 2.

  - ### VK_FORMAT_B8G8R8_UNORM

    public static final VulkanFormat VK_FORMAT_B8G8R8_UNORM
    A three-component, 24-bit unsigned normalized format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, and an 8-bit R component in byte 2.

  - ### VK_FORMAT_B8G8R8_SNORM

    public static final VulkanFormat VK_FORMAT_B8G8R8_SNORM
    A three-component, 24-bit signed normalized format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, and an 8-bit R component in byte 2.

  - ### VK_FORMAT_B8G8R8_USCALED

    public static final VulkanFormat VK_FORMAT_B8G8R8_USCALED
    A three-component, 24-bit unsigned scaled format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, and an 8-bit R component in byte 2.

  - ### VK_FORMAT_B8G8R8_SSCALED

    public static final VulkanFormat VK_FORMAT_B8G8R8_SSCALED
    A three-component, 24-bit signed scaled format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, and an 8-bit R component in byte 2.

  - ### VK_FORMAT_B8G8R8_UINT

    public static final VulkanFormat VK_FORMAT_B8G8R8_UINT
    A three-component, 24-bit unsigned integer format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, and an 8-bit R component in byte 2.

  - ### VK_FORMAT_B8G8R8_SINT

    public static final VulkanFormat VK_FORMAT_B8G8R8_SINT
    A three-component, 24-bit signed integer format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, and an 8-bit R component in byte 2.

  - ### VK_FORMAT_B8G8R8_SRGB

    public static final VulkanFormat VK_FORMAT_B8G8R8_SRGB
    A three-component, 24-bit unsigned normalized format that has an 8-bit B component stored with sRGB nonlinear encoding in byte 0, an 8-bit G component stored with sRGB nonlinear encoding in byte 1, and an 8-bit R component stored with sRGB nonlinear encoding in byte 2.

  - ### VK_FORMAT_R8G8B8A8_UNORM

    public static final VulkanFormat VK_FORMAT_R8G8B8A8_UNORM
    A four-component, 32-bit unsigned normalized format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, an 8-bit B component in byte 2, and an 8-bit A component in byte 3.

  - ### VK_FORMAT_R8G8B8A8_SNORM

    public static final VulkanFormat VK_FORMAT_R8G8B8A8_SNORM
    A four-component, 32-bit signed normalized format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, an 8-bit B component in byte 2, and an 8-bit A component in byte 3.

  - ### VK_FORMAT_R8G8B8A8_USCALED

    public static final VulkanFormat VK_FORMAT_R8G8B8A8_USCALED
    A four-component, 32-bit unsigned scaled format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, an 8-bit B component in byte 2, and an 8-bit A component in byte 3.

  - ### VK_FORMAT_R8G8B8A8_SSCALED

    public static final VulkanFormat VK_FORMAT_R8G8B8A8_SSCALED
    A four-component, 32-bit signed scaled format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, an 8-bit B component in byte 2, and an 8-bit A component in byte 3.

  - ### VK_FORMAT_R8G8B8A8_UINT

    public static final VulkanFormat VK_FORMAT_R8G8B8A8_UINT
    A four-component, 32-bit unsigned integer format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, an 8-bit B component in byte 2, and an 8-bit A component in byte 3.

  - ### VK_FORMAT_R8G8B8A8_SINT

    public static final VulkanFormat VK_FORMAT_R8G8B8A8_SINT
    A four-component, 32-bit signed integer format that has an 8-bit R component in byte 0, an 8-bit G component in byte 1, an 8-bit B component in byte 2, and an 8-bit A component in byte 3.

  - ### VK_FORMAT_R8G8B8A8_SRGB

    public static final VulkanFormat VK_FORMAT_R8G8B8A8_SRGB
    A four-component, 32-bit unsigned normalized format that has an 8-bit R component stored with sRGB nonlinear encoding in byte 0, an 8-bit G component stored with sRGB nonlinear encoding in byte 1, an 8-bit B component stored with sRGB nonlinear encoding in byte 2, and an 8-bit A component in byte 3.

  - ### VK_FORMAT_B8G8R8A8_UNORM

    public static final VulkanFormat VK_FORMAT_B8G8R8A8_UNORM
    A four-component, 32-bit unsigned normalized format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, an 8-bit R component in byte 2, and an 8-bit A component in byte 3.

  - ### VK_FORMAT_B8G8R8A8_SNORM

    public static final VulkanFormat VK_FORMAT_B8G8R8A8_SNORM
    A four-component, 32-bit signed normalized format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, an 8-bit R component in byte 2, and an 8-bit A component in byte 3.

  - ### VK_FORMAT_B8G8R8A8_USCALED

    public static final VulkanFormat VK_FORMAT_B8G8R8A8_USCALED
    A four-component, 32-bit unsigned scaled format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, an 8-bit R component in byte 2, and an 8-bit A component in byte 3.

  - ### VK_FORMAT_B8G8R8A8_SSCALED

    public static final VulkanFormat VK_FORMAT_B8G8R8A8_SSCALED
    A four-component, 32-bit signed scaled format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, an 8-bit R component in byte 2, and an 8-bit A component in byte 3.

  - ### VK_FORMAT_B8G8R8A8_UINT

    public static final VulkanFormat VK_FORMAT_B8G8R8A8_UINT
    A four-component, 32-bit unsigned integer format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, an 8-bit R component in byte 2, and an 8-bit A component in byte 3.

  - ### VK_FORMAT_B8G8R8A8_SINT

    public static final VulkanFormat VK_FORMAT_B8G8R8A8_SINT
    A four-component, 32-bit signed integer format that has an 8-bit B component in byte 0, an 8-bit G component in byte 1, an 8-bit R component in byte 2, and an 8-bit A component in byte 3.

  - ### VK_FORMAT_B8G8R8A8_SRGB

    public static final VulkanFormat VK_FORMAT_B8G8R8A8_SRGB
    A four-component, 32-bit unsigned normalized format that has an 8-bit B component stored with sRGB nonlinear encoding in byte 0, an 8-bit G component stored with sRGB nonlinear encoding in byte 1, an 8-bit R component stored with sRGB nonlinear encoding in byte 2, and an 8-bit A component in byte 3.

  - ### VK_FORMAT_A8B8G8R8_UNORM_PACK32

    public static final VulkanFormat VK_FORMAT_A8B8G8R8_UNORM_PACK32
    A four-component, 32-bit packed unsigned normalized format that has an 8-bit A component in bits 24..31, an 8-bit B component in bits 16..23, an 8-bit G component in bits 8..15, and an 8-bit R component in bits 0..7.

  - ### VK_FORMAT_A8B8G8R8_SNORM_PACK32

    public static final VulkanFormat VK_FORMAT_A8B8G8R8_SNORM_PACK32
    A four-component, 32-bit packed signed normalized format that has an 8-bit A component in bits 24..31, an 8-bit B component in bits 16..23, an 8-bit G component in bits 8..15, and an 8-bit R component in bits 0..7.

  - ### VK_FORMAT_A8B8G8R8_USCALED_PACK32

    public static final VulkanFormat VK_FORMAT_A8B8G8R8_USCALED_PACK32
    A four-component, 32-bit packed unsigned scaled integer format that has an 8-bit A component in bits 24..31, an 8-bit B component in bits 16..23, an 8-bit G component in bits 8..15, and an 8-bit R component in bits 0..7.

  - ### VK_FORMAT_A8B8G8R8_SSCALED_PACK32

    public static final VulkanFormat VK_FORMAT_A8B8G8R8_SSCALED_PACK32
    A four-component, 32-bit packed signed scaled integer format that has an 8-bit A component in bits 24..31, an 8-bit B component in bits 16..23, an 8-bit G component in bits 8..15, and an 8-bit R component in bits 0..7.

  - ### VK_FORMAT_A8B8G8R8_UINT_PACK32

    public static final VulkanFormat VK_FORMAT_A8B8G8R8_UINT_PACK32
    A four-component, 32-bit packed unsigned integer format that has an 8-bit A component in bits 24..31, an 8-bit B component in bits 16..23, an 8-bit G component in bits 8..15, and an 8-bit R component in bits 0..7.

  - ### VK_FORMAT_A8B8G8R8_SINT_PACK32

    public static final VulkanFormat VK_FORMAT_A8B8G8R8_SINT_PACK32
    A four-component, 32-bit packed signed integer format that has an 8-bit A component in bits 24..31, an 8-bit B component in bits 16..23, an 8-bit G component in bits 8..15, and an 8-bit R component in bits 0..7.

  - ### VK_FORMAT_A8B8G8R8_SRGB_PACK32

    public static final VulkanFormat VK_FORMAT_A8B8G8R8_SRGB_PACK32
    A four-component, 32-bit packed unsigned normalized format that has an 8-bit A component in bits 24..31, an 8-bit B component stored with sRGB nonlinear encoding in bits 16..23, an 8-bit G component stored with sRGB nonlinear encoding in bits 8..15, and an 8-bit R component stored with sRGB nonlinear encoding in bits 0..7.

  - ### VK_FORMAT_A2R10G10B10_UNORM_PACK32

    public static final VulkanFormat VK_FORMAT_A2R10G10B10_UNORM_PACK32
    A four-component, 32-bit packed unsigned normalized format that has a 2-bit A component in bits 30..31, a 10-bit R component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit B component in bits 0..9.

  - ### VK_FORMAT_A2R10G10B10_SNORM_PACK32

    public static final VulkanFormat VK_FORMAT_A2R10G10B10_SNORM_PACK32
    A four-component, 32-bit packed signed normalized format that has a 2-bit A component in bits 30..31, a 10-bit R component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit B component in bits 0..9.

  - ### VK_FORMAT_A2R10G10B10_USCALED_PACK32

    public static final VulkanFormat VK_FORMAT_A2R10G10B10_USCALED_PACK32
    A four-component, 32-bit packed unsigned scaled integer format that has a 2-bit A component in bits 30..31, a 10-bit R component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit B component in bits 0..9.

  - ### VK_FORMAT_A2R10G10B10_SSCALED_PACK32

    public static final VulkanFormat VK_FORMAT_A2R10G10B10_SSCALED_PACK32
    A four-component, 32-bit packed signed scaled integer format that has a 2-bit A component in bits 30..31, a 10-bit R component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit B component in bits 0..9.

  - ### VK_FORMAT_A2R10G10B10_UINT_PACK32

    public static final VulkanFormat VK_FORMAT_A2R10G10B10_UINT_PACK32
    A four-component, 32-bit packed unsigned integer format that has a 2-bit A component in bits 30..31, a 10-bit R component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit B component in bits 0..9.

  - ### VK_FORMAT_A2R10G10B10_SINT_PACK32

    public static final VulkanFormat VK_FORMAT_A2R10G10B10_SINT_PACK32
    A four-component, 32-bit packed signed integer format that has a 2-bit A component in bits 30..31, a 10-bit R component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit B component in bits 0..9.

  - ### VK_FORMAT_A2B10G10R10_UNORM_PACK32

    public static final VulkanFormat VK_FORMAT_A2B10G10R10_UNORM_PACK32
    A four-component, 32-bit packed unsigned normalized format that has a 2-bit A component in bits 30..31, a 10-bit B component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit R component in bits 0..9.

  - ### VK_FORMAT_A2B10G10R10_SNORM_PACK32

    public static final VulkanFormat VK_FORMAT_A2B10G10R10_SNORM_PACK32
    A four-component, 32-bit packed signed normalized format that has a 2-bit A component in bits 30..31, a 10-bit B component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit R component in bits 0..9.

  - ### VK_FORMAT_A2B10G10R10_USCALED_PACK32

    public static final VulkanFormat VK_FORMAT_A2B10G10R10_USCALED_PACK32
    A four-component, 32-bit packed unsigned scaled integer format that has a 2-bit A component in bits 30..31, a 10-bit B component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit R component in bits 0..9.

  - ### VK_FORMAT_A2B10G10R10_SSCALED_PACK32

    public static final VulkanFormat VK_FORMAT_A2B10G10R10_SSCALED_PACK32
    A four-component, 32-bit packed signed scaled integer format that has a 2-bit A component in bits 30..31, a 10-bit B component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit R component in bits 0..9.

  - ### VK_FORMAT_A2B10G10R10_UINT_PACK32

    public static final VulkanFormat VK_FORMAT_A2B10G10R10_UINT_PACK32
    A four-component, 32-bit packed unsigned integer format that has a 2-bit A component in bits 30..31, a 10-bit B component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit R component in bits 0..9.

  - ### VK_FORMAT_A2B10G10R10_SINT_PACK32

    public static final VulkanFormat VK_FORMAT_A2B10G10R10_SINT_PACK32
    A four-component, 32-bit packed signed integer format that has a 2-bit A component in bits 30..31, a 10-bit B component in bits 20..29, a 10-bit G component in bits 10..19, and a 10-bit R component in bits 0..9.

  - ### VK_FORMAT_R16_UNORM

    public static final VulkanFormat VK_FORMAT_R16_UNORM
    A one-component, 16-bit unsigned normalized format that has a single 16-bit R component.

  - ### VK_FORMAT_R16_SNORM

    public static final VulkanFormat VK_FORMAT_R16_SNORM
    A one-component, 16-bit signed normalized format that has a single 16-bit R component.

  - ### VK_FORMAT_R16_USCALED

    public static final VulkanFormat VK_FORMAT_R16_USCALED
    A one-component, 16-bit unsigned scaled integer format that has a single 16-bit R component.

  - ### VK_FORMAT_R16_SSCALED

    public static final VulkanFormat VK_FORMAT_R16_SSCALED
    A one-component, 16-bit signed scaled integer format that has a single 16-bit R component.

  - ### VK_FORMAT_R16_UINT

    public static final VulkanFormat VK_FORMAT_R16_UINT
    A one-component, 16-bit unsigned integer format that has a single 16-bit R component.

  - ### VK_FORMAT_R16_SINT

    public static final VulkanFormat VK_FORMAT_R16_SINT
    A one-component, 16-bit signed integer format that has a single 16-bit R component.

  - ### VK_FORMAT_R16_SFLOAT

    public static final VulkanFormat VK_FORMAT_R16_SFLOAT
    A one-component, 16-bit signed floating-point format that has a single 16-bit R component.

  - ### VK_FORMAT_R16G16_UNORM

    public static final VulkanFormat VK_FORMAT_R16G16_UNORM
    A two-component, 32-bit unsigned normalized format that has a 16-bit R component in bytes 0..1, and a 16-bit G component in bytes 2..3.

  - ### VK_FORMAT_R16G16_SNORM

    public static final VulkanFormat VK_FORMAT_R16G16_SNORM
    A two-component, 32-bit signed normalized format that has a 16-bit R component in bytes 0..1, and a 16-bit G component in bytes 2..3.

  - ### VK_FORMAT_R16G16_USCALED

    public static final VulkanFormat VK_FORMAT_R16G16_USCALED
    A two-component, 32-bit unsigned scaled integer format that has a 16-bit R component in bytes 0..1, and a 16-bit G component in bytes 2..3.

  - ### VK_FORMAT_R16G16_SSCALED

    public static final VulkanFormat VK_FORMAT_R16G16_SSCALED
    A two-component, 32-bit signed scaled integer format that has a 16-bit R component in bytes 0..1, and a 16-bit G component in bytes 2..3.

  - ### VK_FORMAT_R16G16_UINT

    public static final VulkanFormat VK_FORMAT_R16G16_UINT
    A two-component, 32-bit unsigned integer format that has a 16-bit R component in bytes 0..1, and a 16-bit G component in bytes 2..3.

  - ### VK_FORMAT_R16G16_SINT

    public static final VulkanFormat VK_FORMAT_R16G16_SINT
    A two-component, 32-bit signed integer format that has a 16-bit R component in bytes 0..1, and a 16-bit G component in bytes 2..3.

  - ### VK_FORMAT_R16G16_SFLOAT

    public static final VulkanFormat VK_FORMAT_R16G16_SFLOAT
    A two-component, 32-bit signed floating-point format that has a 16-bit R component in bytes 0..1, and a 16-bit G component in bytes 2..3.

  - ### VK_FORMAT_R16G16B16_UNORM

    public static final VulkanFormat VK_FORMAT_R16G16B16_UNORM
    A three-component, 48-bit unsigned normalized format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, and a 16-bit B component in bytes 4..5.

  - ### VK_FORMAT_R16G16B16_SNORM

    public static final VulkanFormat VK_FORMAT_R16G16B16_SNORM
    A three-component, 48-bit signed normalized format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, and a 16-bit B component in bytes 4..5.

  - ### VK_FORMAT_R16G16B16_USCALED

    public static final VulkanFormat VK_FORMAT_R16G16B16_USCALED
    A three-component, 48-bit unsigned scaled integer format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, and a 16-bit B component in bytes 4..5.

  - ### VK_FORMAT_R16G16B16_SSCALED

    public static final VulkanFormat VK_FORMAT_R16G16B16_SSCALED
    A three-component, 48-bit signed scaled integer format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, and a 16-bit B component in bytes 4..5.

  - ### VK_FORMAT_R16G16B16_UINT

    public static final VulkanFormat VK_FORMAT_R16G16B16_UINT
    A three-component, 48-bit unsigned integer format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, and a 16-bit B component in bytes 4..5.

  - ### VK_FORMAT_R16G16B16_SINT

    public static final VulkanFormat VK_FORMAT_R16G16B16_SINT
    A three-component, 48-bit signed integer format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, and a 16-bit B component in bytes 4..5.

  - ### VK_FORMAT_R16G16B16_SFLOAT

    public static final VulkanFormat VK_FORMAT_R16G16B16_SFLOAT
    A three-component, 48-bit signed floating-point format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, and a 16-bit B component in bytes 4..5.

  - ### VK_FORMAT_R16G16B16A16_UNORM

    public static final VulkanFormat VK_FORMAT_R16G16B16A16_UNORM
    A four-component, 64-bit unsigned normalized format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, a 16-bit B component in bytes 4..5, and a 16-bit A component in bytes 6..7.

  - ### VK_FORMAT_R16G16B16A16_SNORM

    public static final VulkanFormat VK_FORMAT_R16G16B16A16_SNORM
    A four-component, 64-bit signed normalized format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, a 16-bit B component in bytes 4..5, and a 16-bit A component in bytes 6..7.

  - ### VK_FORMAT_R16G16B16A16_USCALED

    public static final VulkanFormat VK_FORMAT_R16G16B16A16_USCALED
    A four-component, 64-bit unsigned scaled integer format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, a 16-bit B component in bytes 4..5, and a 16-bit A component in bytes 6..7.

  - ### VK_FORMAT_R16G16B16A16_SSCALED

    public static final VulkanFormat VK_FORMAT_R16G16B16A16_SSCALED
    A four-component, 64-bit signed scaled integer format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, a 16-bit B component in bytes 4..5, and a 16-bit A component in bytes 6..7.

  - ### VK_FORMAT_R16G16B16A16_UINT

    public static final VulkanFormat VK_FORMAT_R16G16B16A16_UINT
    A four-component, 64-bit unsigned integer format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, a 16-bit B component in bytes 4..5, and a 16-bit A component in bytes 6..7.

  - ### VK_FORMAT_R16G16B16A16_SINT

    public static final VulkanFormat VK_FORMAT_R16G16B16A16_SINT
    A four-component, 64-bit signed integer format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, a 16-bit B component in bytes 4..5, and a 16-bit A component in bytes 6..7.

  - ### VK_FORMAT_R16G16B16A16_SFLOAT

    public static final VulkanFormat VK_FORMAT_R16G16B16A16_SFLOAT
    A four-component, 64-bit signed floating-point format that has a 16-bit R component in bytes 0..1, a 16-bit G component in bytes 2..3, a 16-bit B component in bytes 4..5, and a 16-bit A component in bytes 6..7.

  - ### VK_FORMAT_R32_UINT

    public static final VulkanFormat VK_FORMAT_R32_UINT
    A one-component, 32-bit unsigned integer format that has a single 32-bit R component.

  - ### VK_FORMAT_R32_SINT

    public static final VulkanFormat VK_FORMAT_R32_SINT
    A one-component, 32-bit signed integer format that has a single 32-bit R component.

  - ### VK_FORMAT_R32_SFLOAT

    public static final VulkanFormat VK_FORMAT_R32_SFLOAT
    A one-component, 32-bit signed floating-point format that has a single 32-bit R component.

  - ### VK_FORMAT_R32G32_UINT

    public static final VulkanFormat VK_FORMAT_R32G32_UINT
    A two-component, 64-bit unsigned integer format that has a 32-bit R component in bytes 0..3, and a 32-bit G component in bytes 4..7.

  - ### VK_FORMAT_R32G32_SINT

    public static final VulkanFormat VK_FORMAT_R32G32_SINT
    A two-component, 64-bit signed integer format that has a 32-bit R component in bytes 0..3, and a 32-bit G component in bytes 4..7.

  - ### VK_FORMAT_R32G32_SFLOAT

    public static final VulkanFormat VK_FORMAT_R32G32_SFLOAT
    A two-component, 64-bit signed floating-point format that has a 32-bit R component in bytes 0..3, and a 32-bit G component in bytes 4..7.

  - ### VK_FORMAT_R32G32B32_UINT

    public static final VulkanFormat VK_FORMAT_R32G32B32_UINT
    A three-component, 96-bit unsigned integer format that has a 32-bit R component in bytes 0..3, a 32-bit G component in bytes 4..7, and a 32-bit B component in bytes 8..11.

  - ### VK_FORMAT_R32G32B32_SINT

    public static final VulkanFormat VK_FORMAT_R32G32B32_SINT
    A three-component, 96-bit signed integer format that has a 32-bit R component in bytes 0..3, a 32-bit G component in bytes 4..7, and a 32-bit B component in bytes 8..11.

  - ### VK_FORMAT_R32G32B32_SFLOAT

    public static final VulkanFormat VK_FORMAT_R32G32B32_SFLOAT
    A three-component, 96-bit signed floating-point format that has a 32-bit R component in bytes 0..3, a 32-bit G component in bytes 4..7, and a 32-bit B component in bytes 8..11.

  - ### VK_FORMAT_R32G32B32A32_UINT

    public static final VulkanFormat VK_FORMAT_R32G32B32A32_UINT
    A four-component, 128-bit unsigned integer format that has a 32-bit R component in bytes 0..3, a 32-bit G component in bytes 4..7, a 32-bit B component in bytes 8..11, and a 32-bit A component in bytes 12..15.

  - ### VK_FORMAT_R32G32B32A32_SINT

    public static final VulkanFormat VK_FORMAT_R32G32B32A32_SINT
    A four-component, 128-bit signed integer format that has a 32-bit R component in bytes 0..3, a 32-bit G component in bytes 4..7, a 32-bit B component in bytes 8..11, and a 32-bit A component in bytes 12..15.

  - ### VK_FORMAT_R32G32B32A32_SFLOAT

    public static final VulkanFormat VK_FORMAT_R32G32B32A32_SFLOAT
    A four-component, 128-bit signed floating-point format that has a 32-bit R component in bytes 0..3, a 32-bit G component in bytes 4..7, a 32-bit B component in bytes 8..11, and a 32-bit A component in bytes 12..15.

  - ### VK_FORMAT_R64_UINT

    public static final VulkanFormat VK_FORMAT_R64_UINT
    A one-component, 64-bit unsigned integer format that has a single 64-bit R component.

  - ### VK_FORMAT_R64_SINT

    public static final VulkanFormat VK_FORMAT_R64_SINT
    A one-component, 64-bit signed integer format that has a single 64-bit R component.

  - ### VK_FORMAT_R64_SFLOAT

    public static final VulkanFormat VK_FORMAT_R64_SFLOAT
    A one-component, 64-bit signed floating-point format that has a single 64-bit R component.

  - ### VK_FORMAT_R64G64_UINT

    public static final VulkanFormat VK_FORMAT_R64G64_UINT
    A two-component, 128-bit unsigned integer format that has a 64-bit R component in bytes 0..7, and a 64-bit G component in bytes 8..15.

  - ### VK_FORMAT_R64G64_SINT

    public static final VulkanFormat VK_FORMAT_R64G64_SINT
    A two-component, 128-bit signed integer format that has a 64-bit R component in bytes 0..7, and a 64-bit G component in bytes 8..15.

  - ### VK_FORMAT_R64G64_SFLOAT

    public static final VulkanFormat VK_FORMAT_R64G64_SFLOAT
    A two-component, 128-bit signed floating-point format that has a 64-bit R component in bytes 0..7, and a 64-bit G component in bytes 8..15.

  - ### VK_FORMAT_R64G64B64_UINT

    public static final VulkanFormat VK_FORMAT_R64G64B64_UINT
    A three-component, 192-bit unsigned integer format that has a 64-bit R component in bytes 0..7, a 64-bit G component in bytes 8..15, and a 64-bit B component in bytes 16..23.

  - ### VK_FORMAT_R64G64B64_SINT

    public static final VulkanFormat VK_FORMAT_R64G64B64_SINT
    A three-component, 192-bit signed integer format that has a 64-bit R component in bytes 0..7, a 64-bit G component in bytes 8..15, and a 64-bit B component in bytes 16..23.

  - ### VK_FORMAT_R64G64B64_SFLOAT

    public static final VulkanFormat VK_FORMAT_R64G64B64_SFLOAT
    A three-component, 192-bit signed floating-point format that has a 64-bit R component in bytes 0..7, a 64-bit G component in bytes 8..15, and a 64-bit B component in bytes 16..23.

  - ### VK_FORMAT_R64G64B64A64_UINT

    public static final VulkanFormat VK_FORMAT_R64G64B64A64_UINT
    A four-component, 256-bit unsigned integer format that has a 64-bit R component in bytes 0..7, a 64-bit G component in bytes 8..15, a 64-bit B component in bytes 16..23, and a 64-bit A component in bytes 24..31.

  - ### VK_FORMAT_R64G64B64A64_SINT

    public static final VulkanFormat VK_FORMAT_R64G64B64A64_SINT
    A four-component, 256-bit signed integer format that has a 64-bit R component in bytes 0..7, a 64-bit G component in bytes 8..15, a 64-bit B component in bytes 16..23, and a 64-bit A component in bytes 24..31.

  - ### VK_FORMAT_R64G64B64A64_SFLOAT

    public static final VulkanFormat VK_FORMAT_R64G64B64A64_SFLOAT
    A four-component, 256-bit signed floating-point format that has a 64-bit R component in bytes 0..7, a 64-bit G component in bytes 8..15, a 64-bit B component in bytes 16..23, and a 64-bit A component in bytes 24..31.

  - ### VK_FORMAT_B10G11R11_UFLOAT_PACK32

    public static final VulkanFormat VK_FORMAT_B10G11R11_UFLOAT_PACK32
    A three-component, 32-bit packed unsigned floating-point format that has a 10-bit B component in bits 22..31, an 11-bit G component in bits 11..21, an 11-bit R component in bits 0..10. See Section 2.7.4, “Unsigned 10-Bit Floating-Point Numbers” and Section 2.7.3, “Unsigned 11-Bit Floating-Point Numbers”.

  - ### VK_FORMAT_E5B9G9R9_UFLOAT_PACK32

    public static final VulkanFormat VK_FORMAT_E5B9G9R9_UFLOAT_PACK32
    A three-component, 32-bit packed unsigned floating-point format that has a 5-bit shared exponent in bits 27..31, a 9-bit B component mantissa in bits 18..26, a 9-bit G component mantissa in bits 9..17, and a 9-bit R component mantissa in bits 0..8.

  - ### VK_FORMAT_D16_UNORM

    public static final VulkanFormat VK_FORMAT_D16_UNORM
    A one-component, 16-bit unsigned normalized format that has a single 16-bit depth component.

  - ### VK_FORMAT_X8_D24_UNORM_PACK32

    public static final VulkanFormat VK_FORMAT_X8_D24_UNORM_PACK32
    A two-component, 32-bit format that has 24 unsigned normalized bits in the depth component and, optionally, 8 bits that are unused.

  - ### VK_FORMAT_D32_SFLOAT

    public static final VulkanFormat VK_FORMAT_D32_SFLOAT
    A one-component, 32-bit signed floating-point format that has 32-bits in the depth component.

  - ### VK_FORMAT_S8_UINT

    public static final VulkanFormat VK_FORMAT_S8_UINT
    A one-component, 8-bit unsigned integer format that has 8-bits in the stencil component.

  - ### VK_FORMAT_D16_UNORM_S8_UINT

    public static final VulkanFormat VK_FORMAT_D16_UNORM_S8_UINT
    A two-component, 24-bit format that has 16 unsigned normalized bits in the depth component and 8 unsigned integer bits in the stencil component.

  - ### VK_FORMAT_D24_UNORM_S8_UINT

    public static final VulkanFormat VK_FORMAT_D24_UNORM_S8_UINT
    A two-component, 32-bit packed format that has 8 unsigned integer bits in the stencil component, and 24 unsigned normalized bits in the depth component.

  - ### VK_FORMAT_D32_SFLOAT_S8_UINT

    public static final VulkanFormat VK_FORMAT_D32_SFLOAT_S8_UINT
    A two-component format that has 32 signed float bits in the depth component and 8 unsigned integer bits in the stencil component. There are optionally 24-bits that are unused.

  - ### VK_FORMAT_BC1_RGB_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_BC1_RGB_UNORM_BLOCK
    A three-component, block-compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGB texel data. This format has no alpha and is considered opaque.

  - ### VK_FORMAT_BC1_RGB_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_BC1_RGB_SRGB_BLOCK
    A three-component, block-compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGB texel data with sRGB nonlinear encoding. This format has no alpha and is considered opaque.

  - ### VK_FORMAT_BC1_RGBA_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_BC1_RGBA_UNORM_BLOCK
    A four-component, block-compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGB texel data, and provides 1 bit of alpha.

  - ### VK_FORMAT_BC1_RGBA_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_BC1_RGBA_SRGB_BLOCK
    A four-component, block-compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGB texel data with sRGB nonlinear encoding, and provides 1 bit of alpha.

  - ### VK_FORMAT_BC2_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_BC2_UNORM_BLOCK
    A four-component, block-compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGBA texel data with the first 64 bits encoding alpha values followed by 64 bits encoding RGB values.

  - ### VK_FORMAT_BC2_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_BC2_SRGB_BLOCK
    A four-component, block-compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGBA texel data with the first 64 bits encoding alpha values followed by 64 bits encoding RGB values with sRGB nonlinear encoding.

  - ### VK_FORMAT_BC3_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_BC3_UNORM_BLOCK
    A four-component, block-compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGBA texel data with the first 64 bits encoding alpha values followed by 64 bits encoding RGB values.

  - ### VK_FORMAT_BC3_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_BC3_SRGB_BLOCK
    A four-component, block-compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGBA texel data with the first 64 bits encoding alpha values followed by 64 bits encoding RGB values with sRGB nonlinear encoding.

  - ### VK_FORMAT_BC4_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_BC4_UNORM_BLOCK
    A one-component, block-compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized red texel data.

  - ### VK_FORMAT_BC4_SNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_BC4_SNORM_BLOCK
    A one-component, block-compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of signed normalized red texel data.

  - ### VK_FORMAT_BC5_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_BC5_UNORM_BLOCK
    A two-component, block-compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RG texel data with the first 64 bits encoding red values followed by 64 bits encoding green values.

  - ### VK_FORMAT_BC5_SNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_BC5_SNORM_BLOCK
    A two-component, block-compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of signed normalized RG texel data with the first 64 bits encoding red values followed by 64 bits encoding green values.

  - ### VK_FORMAT_BC6H_UFLOAT_BLOCK

    public static final VulkanFormat VK_FORMAT_BC6H_UFLOAT_BLOCK
    A three-component, block-compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned floating-point RGB texel data.

  - ### VK_FORMAT_BC6H_SFLOAT_BLOCK

    public static final VulkanFormat VK_FORMAT_BC6H_SFLOAT_BLOCK
    A three-component, block-compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of signed floating-point RGB texel data.

  - ### VK_FORMAT_BC7_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_BC7_UNORM_BLOCK
    A four-component, block-compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGBA texel data.

  - ### VK_FORMAT_BC7_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_BC7_SRGB_BLOCK
    A four-component, block-compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.

  - ### VK_FORMAT_ETC2_R8G8B8_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_ETC2_R8G8B8_UNORM_BLOCK
    A three-component, ETC2 compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGB texel data. This format has no alpha and is considered opaque.

  - ### VK_FORMAT_ETC2_R8G8B8_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_ETC2_R8G8B8_SRGB_BLOCK
    A three-component, ETC2 compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGB texel data with sRGB nonlinear encoding. This format has no alpha and is considered opaque.

  - ### VK_FORMAT_ETC2_R8G8B8A1_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_ETC2_R8G8B8A1_UNORM_BLOCK
    A four-component, ETC2 compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGB texel data, and provides 1 bit of alpha.

  - ### VK_FORMAT_ETC2_R8G8B8A1_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_ETC2_R8G8B8A1_SRGB_BLOCK
    A four-component, ETC2 compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGB texel data with sRGB nonlinear encoding, and provides 1 bit of alpha.

  - ### VK_FORMAT_ETC2_R8G8B8A8_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_ETC2_R8G8B8A8_UNORM_BLOCK
    A four-component, ETC2 compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGBA texel data with the first 64 bits encoding alpha values followed by 64 bits encoding RGB values.

  - ### VK_FORMAT_ETC2_R8G8B8A8_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_ETC2_R8G8B8A8_SRGB_BLOCK
    A four-component, ETC2 compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGBA texel data with the first 64 bits encoding alpha values followed by 64 bits encoding RGB values with sRGB nonlinear encoding applied.

  - ### VK_FORMAT_EAC_R11_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_EAC_R11_UNORM_BLOCK
    A one-component, ETC2 compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized red texel data.

  - ### VK_FORMAT_EAC_R11_SNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_EAC_R11_SNORM_BLOCK
    A one-component, ETC2 compressed format where each 64-bit compressed texel block encodes a 4x4 rectangle of signed normalized red texel data.

  - ### VK_FORMAT_EAC_R11G11_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_EAC_R11G11_UNORM_BLOCK
    A two-component, ETC2 compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RG texel data with the first 64 bits encoding red values followed by 64 bits encoding green values.

  - ### VK_FORMAT_EAC_R11G11_SNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_EAC_R11G11_SNORM_BLOCK
    A two-component, ETC2 compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of signed normalized RG texel data with the first 64 bits encoding red values followed by 64 bits encoding green values.

  - ### VK_FORMAT_ASTC_4x4_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_4x4_UNORM_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGBA texel data.

  - ### VK_FORMAT_ASTC_4x4_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_4x4_SRGB_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 4x4 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.

  - ### VK_FORMAT_ASTC_5x4_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_5x4_UNORM_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 5x4 rectangle of unsigned normalized RGBA texel data.

  - ### VK_FORMAT_ASTC_5x4_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_5x4_SRGB_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 5x4 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.

  - ### VK_FORMAT_ASTC_5x5_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_5x5_UNORM_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 5x5 rectangle of unsigned normalized RGBA texel data.

  - ### VK_FORMAT_ASTC_5x5_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_5x5_SRGB_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 5x5 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.

  - ### VK_FORMAT_ASTC_6x5_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_6x5_UNORM_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 6x5 rectangle of unsigned normalized RGBA texel data.

  - ### VK_FORMAT_ASTC_6x5_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_6x5_SRGB_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 6x5 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.

  - ### VK_FORMAT_ASTC_6x6_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_6x6_UNORM_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 6x6 rectangle of unsigned normalized RGBA texel data.

  - ### VK_FORMAT_ASTC_6x6_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_6x6_SRGB_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 6x6 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.

  - ### VK_FORMAT_ASTC_8x5_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_8x5_UNORM_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 8x5 rectangle of unsigned normalized RGBA texel data.

  - ### VK_FORMAT_ASTC_8x5_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_8x5_SRGB_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 8x5 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.

  - ### VK_FORMAT_ASTC_8x6_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_8x6_UNORM_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 8x6 rectangle of unsigned normalized RGBA texel data.

  - ### VK_FORMAT_ASTC_8x6_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_8x6_SRGB_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 8x6 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.

  - ### VK_FORMAT_ASTC_8x8_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_8x8_UNORM_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 8x8 rectangle of unsigned normalized RGBA texel data.

  - ### VK_FORMAT_ASTC_8x8_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_8x8_SRGB_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 8x8 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.

  - ### VK_FORMAT_ASTC_10x5_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_10x5_UNORM_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 10x5 rectangle of unsigned normalized RGBA texel data.

  - ### VK_FORMAT_ASTC_10x5_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_10x5_SRGB_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 10x5 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.

  - ### VK_FORMAT_ASTC_10x6_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_10x6_UNORM_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 10x6 rectangle of unsigned normalized RGBA texel data.

  - ### VK_FORMAT_ASTC_10x6_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_10x6_SRGB_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 10x6 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.

  - ### VK_FORMAT_ASTC_10x8_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_10x8_UNORM_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 10x8 rectangle of unsigned normalized RGBA texel data.

  - ### VK_FORMAT_ASTC_10x8_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_10x8_SRGB_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 10x8 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.

  - ### VK_FORMAT_ASTC_10x10_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_10x10_UNORM_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 10x10 rectangle of unsigned normalized RGBA texel data.

  - ### VK_FORMAT_ASTC_10x10_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_10x10_SRGB_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 10x10 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.

  - ### VK_FORMAT_ASTC_12x10_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_12x10_UNORM_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 12x10 rectangle of unsigned normalized RGBA texel data.

  - ### VK_FORMAT_ASTC_12x10_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_12x10_SRGB_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 12x10 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.

  - ### VK_FORMAT_ASTC_12x12_UNORM_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_12x12_UNORM_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 12x12 rectangle of unsigned normalized RGBA texel data.

  - ### VK_FORMAT_ASTC_12x12_SRGB_BLOCK

    public static final VulkanFormat VK_FORMAT_ASTC_12x12_SRGB_BLOCK
    A four-component, ASTC compressed format where each 128-bit compressed texel block encodes a 12x12 rectangle of unsigned normalized RGBA texel data with sRGB nonlinear encoding applied to the RGB components.

- ## Method Details

  - ### values

    public static VulkanFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanFormat valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromInteger

    public static Optional<VulkanFormat> fromInteger(int v)
    Parameters:
      `v` - The constant's integer value
    Returns:
      The constant associated with the given integer value

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant

  - ### texelSizeOctets

    public abstract int texelSizeOctets()
    Returns:
      The size of a single texel in octets

  - ### compressed

    public abstract VulkanFormatCompressed compressed()
    Returns:
      Whether this format is compressed

  - ### data

    public abstract VulkanFormatData data()
    Returns:
      The format data type

  - ### interpretation

    public abstract VulkanFormatInterpretation interpretation()
    Returns:
      The format interpretation

  - ### space

    public abstract VulkanFormatSpace space()
    Returns:
      The format space

  - ### mandatoryFeatures

    public abstract Set<VulkanFormatFeatureFlag> mandatoryFeatures()
    Some formats in the Vulkan specification have a degree of mandatory support. That is, there are some formats in the specification that are guaranteed to be provided by all Vulkan implementations, and there is a set of features for each required format that must be supported.
    Returns:
      The set of features mandated by the specification

  - ### colorChannels

    public abstract Optional<VulkanFormatColorChannels> colorChannels()
    Returns:
      The color channels present, if any